%define		gittag0		v0.9.6

Name:		endless-sky
Version:	0.9.6
Release:	1%{?dist}
Summary:	Space exploration, trading, and combat game

License:	GPLv3
URL:		https://%{name}.github.io
Source0:	https://github.com/%{name}/%{name}/archive/%{gittag0}.tar.gz#/%{name}-%{version}.tar.gz
# Replace /usr/games with /usr/bin and /usr/share/games with /usr/share per
# https://fedoraproject.org/wiki/SIGs/Games/Packaging.
# Patch not submitted upstream. Upstream conforms to Debian packaging
# standards where the use of /usr/games is acceptable.
Patch0:		endless-sky-0.8.10-remove-games-path.patch
# Use gnu++11 standard instead of c++11. Fixes a FTBFS issue on ppc64le.
# https://github.com/endless-sky/endless-sky/pull/1804
Patch1:		endless-sky-0.9.4-std-gnu++11.patch
# Unset CCFLAGS override inside SConstruct.
Patch2:		endless-sky-0.9.4-remove-additional-ccflags.patch

Requires:	%{name}-data = %{version}-%{release}
BuildRequires:	scons
BuildRequires:	gcc-c++
BuildRequires:	SDL2-devel
BuildRequires:	openal-soft-devel
BuildRequires:	glew-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libappstream-glib
BuildRequires:	desktop-file-utils
BuildRequires:	libmad-devel

%description
Explore other star systems. Earn money by trading, carrying passengers, or
completing missions. Use your earnings to buy a better ship or to upgrade the
weapons and engines on your current one. Blow up pirates. Take sides in a civil
war. Or leave human space behind and hope to find some friendly aliens whose
culture is more civilized than your own...


%package data
Summary:	Game data for %{name}
# Sound and images appear to be a mix of Public Domain and CC-BY-SA licensing
# See copyright for details.
License:	Public Domain and CC-BY-SA
BuildArch:	noarch


%description data
Images, sound, and game data for %{name}.


%prep
%autosetup -p0


%build
CCFLAGS="%{optflags}"		\
LDFLAGS="%{?__global_ldflags}"	\
%{_bindir}/scons		\
	%{?_smp_mflags}		\
	PREFIX=%{_prefix}

%check
appstream-util validate-relax --nonet %{name}.appdata.xml
desktop-file-validate %{name}.desktop


%install
CCFLAGS="%{optflags}"		\
LDFLAGS="%{?__global_ldflags}"	\
%{_bindir}/scons		\
	%{?_smp_mflags}		\
	PREFIX=%{_prefix}	\
	DESTDIR=%{buildroot}	\
	install
install -m644 -D endless-sky.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc README.md
%license license.txt
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man6/%{name}.6.gz


%files data
%license copyright
%{_datadir}/%{name}


%changelog
* Sun Feb 26 2017 Link Dupont <linkdupont@fedoraproject.org> - 0.9.6-1
- New upstream release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 10 2017 Orion Poplawski <orion@cora.nwra.com> - 0.9.4-5
- Rebuild for glew 2.0.0

* Sun Jan 1 2017 Link Dupont <linkdupont@fedoraproject.org> - 0.9.4-4
- Remove CCFLAGS override inside SConstruct

* Sat Dec 31 2016 Link Dupont <linkdupont@fedoraproject.org> - 0.9.4-3
- Build and install with identical CXXFLAGS (RH#1402807)

* Thu Dec 8 2016 Link Dupont <linkdupont@fedoraproject.org> - 0.9.4-2
- Build with $RPM_OPT_FLAGS (#1402807)

* Sat Oct 15 2016 Link Dupont <linkdupont@fedoraproject.org> - 0.9.4-1
- New upstream release
- Remove local appdata.xml file deferring to upstream

* Sat Aug 20 2016 Link Dupont <linkdupont@fedoraproject.org> - 0.9.2-1
- New upstream release
- Remove installation of 'extra' directory

* Sat Jan 16 2016 Link Dupont <linkdupont@fedoraproject.org> - 0.8.10-5
- Add strict version requirement to data package
- Document dual licensing characteristics of game data
- Add appdata validation
- Update icon cache on installation

* Mon Jan 11 2016 Link Dupont <linkdupont@fedoraproject.org> - 0.8.10-4
- Combine patches into single file

* Sun Jan 10 2016 Link Dupont <linkdupont@fedoraproject.org> - 0.8.10-3
- Patch game to load resources from /usr/share/endless-sky

* Sun Jan 10 2016 Link Dupont <linkdupont@fedoraproject.org> - 0.8.10-2
- Split data into separate package
- Patch game to avoid deprecated path /usr/games

* Sat Jan 9 2016 Link Dupont <linkdupont@fedoraproject.org> - 0.8.10-1
- New upstream release
- Added appdata.xml

* Sun Jan 3 2016 Link Dupont <linkdupont@fedoraproject.org> - 0.8.9-1
- Initial package
